Open CASCADE Technology: BinLDrivers_DocumentSection Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
BinLDrivers_DocumentSection Class Reference

More or less independent part of the saved/restored document that is distinct from OCAF data themselves but may be referred by them. More...

`#include <BinLDrivers_DocumentSection.hxx>`

## Public Member Functions
| BinLDrivers_DocumentSection ()
| Empty constructor. More...
| BinLDrivers_DocumentSection (const TCollection_AsciiString &theName, const Standard_Boolean isPostRead)
| Constructor. More...
const TCollection_AsciiString & | Name () const
| Query the name of the section. More...
Standard_Boolean | IsPostRead () const
| Query the status: if the Section should be read after OCAF; False means that the Section is read before starting to read OCAF data. More...
Standard_Size | Offset () const
| Query the offset of the section in the persistent file. More...
void | SetOffset (const Standard_Size theOffset)
| Set the offset of the section in the persistent file. More...
Standard_Size | Length () const
| Query the length of the section in the persistent file. More...
void | SetLength (const Standard_Size theLength)
| Set the length of the section in the persistent file. More...
void | WriteTOC (Standard_OStream &theOS)
| Create a Section entry in the Document TOC (list of sections) More...
void | Write (Standard_OStream &theOS, const Standard_Size theOffset)
| Save Offset and Length data into the Section entry in the Document TOC (list of sections) More...

## Static Public Member Functions
static void | ReadTOC (BinLDrivers_DocumentSection &theSection, Standard_IStream &theIS)
| Fill a DocumentSection instance from the data that are read from TOC. More...

## Detailed Description

More or less independent part of the saved/restored document that is distinct from OCAF data themselves but may be referred by them.

## Constructor & Destructor Documentation

BinLDrivers_DocumentSection::BinLDrivers_DocumentSection | ( |  | ) |

Empty constructor.

BinLDrivers_DocumentSection::BinLDrivers_DocumentSection | ( | const TCollection_AsciiString & | theName,
|  | const Standard_Boolean | isPostRead
| ) |  |

Constructor.

## Member Function Documentation

Standard_Boolean BinLDrivers_DocumentSection::IsPostRead | ( |  | ) | const

Query the status: if the Section should be read after OCAF; False means that the Section is read before starting to read OCAF data.

Standard_Size BinLDrivers_DocumentSection::Length | ( |  | ) | const

Query the length of the section in the persistent file.

const TCollection_AsciiString& BinLDrivers_DocumentSection::Name | ( |  | ) | const

Query the name of the section.

Standard_Size BinLDrivers_DocumentSection::Offset | ( |  | ) | const

Query the offset of the section in the persistent file.

static void BinLDrivers_DocumentSection::ReadTOC | ( | BinLDrivers_DocumentSection & | theSection,
|  | Standard_IStream & | theIS
| ) |  |
| static

Fill a DocumentSection instance from the data that are read from TOC.

void BinLDrivers_DocumentSection::SetLength | ( | const Standard_Size | theLength | ) |

Set the length of the section in the persistent file.

void BinLDrivers_DocumentSection::SetOffset | ( | const Standard_Size | theOffset | ) |

Set the offset of the section in the persistent file.

void BinLDrivers_DocumentSection::Write | ( | Standard_OStream & | theOS,
|  | const Standard_Size | theOffset
| ) |  |

Save Offset and Length data into the Section entry in the Document TOC (list of sections)

void BinLDrivers_DocumentSection::WriteTOC | ( | Standard_OStream & | theOS | ) |

Create a Section entry in the Document TOC (list of sections)

The documentation for this class was generated from the following file:

- BinLDrivers_DocumentSection.hxx